package cc.fascinated.bat.features.base.commands.server.channel;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Nick (okNick)
 */
@Component
@CommandInfo(name = "channel", description = "View or set information about a channel", category = Category.SERVER)
public class ChannelCommand extends BatCommand {
    @Autowired
    public ChannelCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(ViewTopicSubCommand.class),
                context.getBean(SetTopicSubCommand.class),
                context.getBean(RemoveTopicSubCommand.class)
        );
    }
}