package cc.fascinated.bat.features.counter.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "counter", description = "View or configure the counter settings", requiredPermissions = Permission.MANAGE_CHANNEL)
public class CounterCommand extends BatCommand {
    @Autowired
    public CounterCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(SetupSubCommand.class),
                context.getBean(SetSubCommand.class),
                context.getBean(RemoveSubCommand.class),
                context.getBean(SetBreakingSubCommand.class)
        );
    }
}
