package cc.fascinated.bat.features.minecraft;

import cc.fascinated.bat.common.ChannelUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import net.dv8tion.jda.api.entities.channel.concrete.TextChannel;
import xyz.mcutils.models.server.ServerPlatform;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter
@Setter
public class ServerWatcher {
    /**
     * The hostname of the server
     */
    private final String hostname;

    /**
     * The port of the server
     */
    private final int port;

    /**
     * The platform of the server
     */
    private final ServerPlatform platform;

    /**
     * The channel id to send notifications in
     */
    private final String channelId;

    /**
     * The last state of the server
     * <p>
     * true = online
     * false = offline
     * </p>
     */
    private boolean lastState;

    /**
     * Gets the channel
     *
     * @return - The channel
     */
    public TextChannel getChannel() {
        return ChannelUtils.getTextChannel(channelId);
    }
}
