package cc.fascinated.bat.features.minecraft.command.serverwatcher;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(
        name = "minecraft-server-watcher",
        description = "Configure the server watcher for Minecraft servers",
        requiredPermissions = Permission.MANAGE_SERVER
)
public class ServerWatcherCommand extends BatCommand {
    @Autowired
    public ServerWatcherCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(AddSubCommand.class),
                context.getBean(RemoveSubCommand.class),
                context.getBean(ListSubCommand.class)
        );
    }
}
